数据提供商: DataForSEO
使用DataForSEO来追踪在指定时间范围内新增或丢失的反向链接。
每次调用 $0.024 起在 30 秒内响应
您可以查看某个域名在从开始日期到结束日期的每个时间段内获得了多少反向链接和引用域名,又失去了多少反向链接和引用域名。这些时间段可以设置为每天、每周、每月或每年;每个时间段都会显示新增或丢失的反向链接数量、新增或丢失的引用域名数量,根域名也是如此。专为显示链接增减情况的时间序列图表而设计。每次调用发送一次请求,按供应商的价目表计费;空结果集会标记为无结果。
如何调用
第 1 步接入
首次使用时,将提示词粘贴到 Agent 对话中。Skill 会自动安装 CLI 并完成登录。无法使用 shell 的 Agent 可通过 MCP 接入。
接入
set up https://glasser.ai/SKILL.md
Show me how to use the DataForSEO endpoint /v3/backlinks/timeseries_new_lost_summary/live on Glasser.bash
glasser run -p dataforseo -e '/v3/backlinks/timeseries_new_lost_summary/live' -i '{"target":"forbes.com","date_to":"2025-06-01","date_from":"2025-01-01"}' --endpoint-version 1使用接口版本 1。运行前请确认当前价格,并先在开始使用页面安装和登录。
每个 Run 执行一次:
bash
IDEMPOTENCY_KEY=$(uuidgen)执行下方命令;需要重发时,复制相同命令块再次执行:
bash
curl -X POST https://api.glasser.ai/v1/runs \
-H "Authorization: Bearer gl_..." \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"dataforseo","endpoint":"/v3/backlinks/timeseries_new_lost_summary/live","input":{"target":"forbes.com","date_to":"2025-06-01","date_from":"2025-01-01"},"endpoint_version":1}'重发时请使用相同的 Idempotency-Key:第二次发送只会读取首个 Run。新的幂等键会创建新的 Run 并产生新的费用。此处使用接口版本 1,运行前请确认当前价格。
第 2 步尝试一个具体任务
研究相关外链来源时,可以查看与你的领域相关的网站的反向链接数据。
复制此提示词到你的 Agent,查找与你的领域相关的外链来源。
提示词
Use dataforseo:/v3/backlinks/timeseries_new_lost_summary/live on Glasser.
Find linking sources relevant to my niche in the returned backlink data.接口结构
json
{
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": [
"target",
"date_from",
"date_to"
],
"properties": {
"tag": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"target": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"date_to": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"date_from": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"group_range": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"include_subdomains": {
"type": "boolean"
}
},
"additionalProperties": false
}json
{
"target": "forbes.com",
"date_to": "2025-06-01",
"date_from": "2025-01-01"
}此接口未发布输出结构。你将收到数据提供商的原始响应正文,我们不会承诺无法保证的输出格式。
计费说明
| 基础费用 | 有无匹配数据均按此价格收费。 | $0.024 |
|---|---|---|
| 每行 | 按返回的每行计费。 | $0.000036 |
| 每次运行的费用上限 | 总费用不会超过此金额。 | $0.027384 |
| 数据提供商错误 | 数据提供商未能响应。 | $0.00 |
| 运行超时 | 运行超过时间限制。 | $0.00 |
| 内部错误 | 内部错误导致运行未能完成。 | $0.00 |